Bug 1022104 - idm-console-framework: remove versioned jars from %{_javadir}
idm-console-framework: remove versioned jars from %{_javadir}
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: idm-console-framework (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rich Megginson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1022024 1219220
  Show dependency treegraph
 
Reported: 2013-10-22 11:43 EDT by Stanislav Ochotnicky
Modified: 2016-07-19 06:30 EDT (History)
5 users (show)

See Also:
Fixed In Version: idm-console-framework-1.1.9-1.el7dsrv 389-console-1.1.8-1.el7dsrv
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1219220 (view as bug list)
Environment:
Last Closed: 2016-07-19 06:30:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Remove version from JAR name (3.14 KB, patch)
2014-03-25 05:17 EDT, Michael Simacek
no flags Details | Diff

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 11:43:47 EDT
Package idm-console-framework seems to contain versioned jar files in %{_javadir}
(/usr/share/java). Such versioned files cause problems for automatic
requires generation and violate packaging guidelines[1].

List of subpackages and contained versioned jars
idm-console-framework:
/usr/share/java/idm-console-base-1.1.7.jar
/usr/share/java/idm-console-base-1.1.jar
/usr/share/java/idm-console-mcc-1.1.7.jar
/usr/share/java/idm-console-mcc-1.1.jar
/usr/share/java/idm-console-nmclf-1.1.7.jar
/usr/share/java/idm-console-nmclf-1.1.jar


There are cases where this can be a false positive. Most likely if:
   * your package is compatibility version and contains only versioned
     jars
   * your package has version in the name of jars that are part of
     package name

Thank you,

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 1 Rich Megginson 2013-10-22 13:31:38 EDT
(In reply to Stanislav Ochotnicky from comment #0)
> Package idm-console-framework seems to contain versioned jar files in
> %{_javadir}
> (/usr/share/java). Such versioned files cause problems for automatic
> requires generation and violate packaging guidelines[1].
> 
> List of subpackages and contained versioned jars
> idm-console-framework:
> /usr/share/java/idm-console-base-1.1.7.jar

This is the "real" file
> /usr/share/java/idm-console-base-1.1.jar

This is a symlink to idm-console-base-1.1.7.jar

There is also /usr/share/java/idm-console-base.tar which is a symlink to idm-console-base-1.1.jar

So the package _does_ provide <name>.jar with no version.

The other jar files below follow a similar convention.

If this is unacceptable, can someone please explain to me
1) Why this is not acceptable - I just do not understand the package guidelines
2) How I can fix it if I do not have control over what upstream does

> /usr/share/java/idm-console-mcc-1.1.7.jar
> /usr/share/java/idm-console-mcc-1.1.jar
> /usr/share/java/idm-console-nmclf-1.1.7.jar
> /usr/share/java/idm-console-nmclf-1.1.jar
> 
> 
> There are cases where this can be a false positive. Most likely if:
>    * your package is compatibility version and contains only versioned
>      jars
>    * your package has version in the name of jars that are part of
>      package name
> 
> Thank you,
> 
> [1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 2 Stanislav Ochotnicky 2013-10-25 10:10:55 EDT
Basically the answer is same as https://bugzilla.redhat.com/show_bug.cgi?id=1022184#c4 

No tools in Fedora can actually safely use the versioned jar files because they change with each version and the only way to keep dependent packages working is to use unversioned jar (or a versioned jar from compat package that never changes).

So it seems there should be just 3 files:
/usr/share/java/idm-console-base.jar
/usr/share/java/idm-console-mcc.jar
/usr/share/java/idm-console-nmclf.jar

(In reply to Rich Megginson from comment #1)
> If this is unacceptable, can someone please explain to me
> 1) Why this is not acceptable - I just do not understand the package
> guidelines

1. Versioned jars are useless
2. Nothing can safely use them (except the package itself)
3. It breaks automatic requires for packages that depend on your package

> 2) How I can fix it if I do not have control over what upstream does

Uhmm, you do realize we don't always just blindly copy what upstream does right? You can change the spec file to remove versioned jars and install just the unversioned. It's not like this is the first time that we are overriding what upstream does so that we can integrate packages more easily
Comment 3 Rich Megginson 2013-11-20 13:05:18 EST
Upstream ticket:
https://fedorahosted.org/389/ticket/47604
Comment 4 Michael Simacek 2014-03-25 05:17:30 EDT
Created attachment 878352 [details]
Remove version from JAR name
Comment 6 Jaroslav Reznik 2015-03-03 12:18:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 7 Fedora Update System 2015-03-06 17:37:17 EST
idm-console-framework-1.1.9-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/idm-console-framework-1.1.9-1.el7
Comment 8 Fedora Update System 2015-03-08 18:44:52 EDT
Package idm-console-framework-1.1.9-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing idm-console-framework-1.1.9-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-1110/idm-console-framework-1.1.9-1.el7
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2015-03-09 16:07:26 EDT
389-admin-console-1.1.10-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/389-admin-console-1.1.10-1.el7
Comment 10 Fedora Update System 2015-03-09 16:23:06 EDT
389-ds-console-1.2.10-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/389-ds-console-1.2.10-1.el7
Comment 12 Fedora Update System 2015-06-10 19:48:47 EDT
idm-console-framework-1.1.14-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/idm-console-framework-1.1.14-1.el7
Comment 13 Fedora Update System 2015-06-10 21:10:20 EDT
389-ds-console-1.2.12-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/389-ds-console-1.2.12-1.el7
Comment 14 Fedora Update System 2016-03-31 01:29:56 EDT
389-ds-console-1.2.12-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-03-31 01:30:06 EDT
389-admin-console-1.1.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-07-02 16:16:47 EDT
389-admin-console-1.1.11-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-45d9ee24b6
Comment 17 Fedora End Of Life 2016-07-19 06:30:52 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.